QGIS Application - Bug report #14366
No SSL warnings when connecting to a postgres database using a self-signed certificate
2016-02-23 08:25 PM - James Keener

Status: Closed

Priority: Normal

Assignee: Jurgen Fischer

Category: Data Provider/PostGIS

Affected QGIS version:2.12.2 Regression?: No

Operating System: Ubuntu Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 22349
Description

| was able to connect to a postgres database that uses a self-signed certificate and received no warning that the certificate could not be
validated. While users should not be prevented from connecting to a certificate that cannot be validated, they should be warned.

Associated revisions

Revision ee4658e3 - 2016-02-26 01:52 PM - Jiirgen Fischer

Merge pull request #2842 from jef-n/pg-new-ssimodes

postgres provider: add support for verify-ca and verify-full ssl modes (refs #14366)

History

#1 - 2016-02-25 12:54 PM - Jiirgen Fischer
- Pull Request or Patch supplied changed from No to Yes

libpg has no option to warn about self-signed certificates. But it has the currently unsupported ssimode verify-ca and verify-full - which PR!#2842 adds
support for.

#2 - 2016-02-25 01:00 PM - James Keener

That's great, and exactly what | was hoping for! Thanks!

#3 - 2016-02-26 10:40 AM - Jiirgen Fischer
- Resolution set to fixed/implemented
- Status changed from Open to Closed
https://github.com/qgis/QGIS/pull/2842

